/****************************
        KOF'96 Patch
****************************/

#define PATCH_END (-1)

#include "driver.h"
#include "kof96p1.c"

static void neogeo_kof96_p1_patch(void)
{
	data8_t *mem8 = memory_region(REGION_CPU1);
	int i = 0;

	while (kof96_p1_address[i] != PATCH_END)
	{
		mem8[kof96_p1_address[i]] = kof96_p1_data[i];
		i++;
	}
}

void neogeo_kof96_patch(void)
{
	neogeo_kof96_p1_patch();
}
